Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing.response
Class CollectionResponseWithCallbackRouter

    java.lang.Object
      org.mule.routing.AbstractRouter
          org.mule.routing.response.AbstractResponseRouter
              org.mule.routing.response.AbstractResponseAggregator
                  org.mule.routing.response.AbstractResponseCallbackAggregator
                      org.mule.routing.response.CollectionResponseWithCallbackRouter

All Implemented Interfaces:
  MuleContextAware, Disposable, Initialisable, ResponseRouter, Router

    public class CollectionResponseWithCallbackRouter

extends AbstractResponseCallbackAggregator

The router configured to handle reply messages when the `Reply` annotation is used and the "aggregate" flag is set on the annotation. This router will correlate all messages with the same correlation information set on them.

Field Summary

Fields inherited from class org.mule.routing.response.AbstractResponseRouter
`logger, messageInfoMapping`

Fields inherited from class org.mule.routing.AbstractRouter
`muleContext`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`CollectionResponseWithCallbackRouter()`

Method Summary
`protected EventCorrelatorCallback` | `getCorrelatorCallback()`

Methods inherited from class org.mule.routing.response.AbstractResponseCallbackAggregator
`getCallbackMethod, setCallbackMethod`

Methods inherited from class org.mule.routing.response.AbstractResponseAggregator
`aggregateEvents, getEventCorrelator, getResponse, getTimeout, initialise, isFailOnTimeout, process, setFailOnTimeout, setTimeout`

Methods inherited from class org.mule.routing.response.AbstractResponseRouter
`getCallResponseAggregateIdentifier, getMessageInfoMapping, getReplyAggregateIdentifier, setMessageInfoMapping`

Methods inherited from class org.mule.routing.AbstractRouter
`dispose, getMuleContext, getRouterStatistics, setMuleContext, setRouterStatistics`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.api.routing.Router
`getRouterStatistics, setRouterStatistics`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Constructor Detail

### CollectionResponseWithCallbackRouter

    public CollectionResponseWithCallbackRouter()

Method Detail

### getCorrelatorCallback

    protected EventCorrelatorCallback getCorrelatorCallback()

  Specified by:
    `getCorrelatorCallback` in class `AbstractResponseAggregator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.